package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 用户登录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-23
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvAdminDao;
import com.heyu.api.data.entity.vv.VvAdminEntity;
import com.heyu.api.data.service.vv.VvAdminService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvAdminServiceImpl extends ServiceImpl<VvAdminDao, VvAdminEntity> implements VvAdminService {


    @Autowired
	private VvAdminDao vvAdminDao;



	@Override
	public VvAdminEntity selectVvAdminById(Long id){
		return vvAdminDao.selectVvAdminById(id);
	}



	@Override
	public Long insertVvAdmin(VvAdminEntity vvAdmin){
		return vvAdminDao.insertVvAdmin(vvAdmin);
	}



	@Override
	public Long insertOrUpdateVvAdmin(VvAdminEntity vvAdmin){
		return vvAdminDao.insertOrUpdateVvAdmin(vvAdmin);
	}



	@Override
	public int updateVvAdminById(VvAdminEntity vvAdmin){
		return vvAdminDao.updateVvAdminById(vvAdmin);
	}



	@Override
	public int updateCoverVvAdminById(VvAdminEntity vvAdmin){
		return vvAdminDao.updateCoverVvAdminById(vvAdmin);
	}



	@Override
	public int deleteVvAdminById(Long id){
		return vvAdminDao.deleteVvAdminById(id);
	}



}
